## codeine-trinity 14.0.9

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


cmake_minimum_required( VERSION 2.8 )


#### general package setup

project( codeine )
set( VERSION R14.0.9 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" OFF )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all" ON )
option( BUILD_DOC          "Build documentation" ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"  ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings 

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )
add_subdirectory( misc )
tde_conditional_add_subdirectory( BUILD_DOC doc )
tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== debian/changelog ===
codeine-trinity (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 16:16:30 +0200

codeine-trinity (1.0.1-3.dfsg-3.1) testing; urgency=low

  * Initial release for TDE

 -- Michele Calgaro <michele.calgaro@yahoo.it>  Tue, 24 Jun 2020 16:03:12 +0900

codeine (1.0.1-3.dfsg-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with GCC 4.4, patch by Martin Michlmayr (Closes: #505078)
  * Fixed typo in debian/README.Debian

 -- David Paleino <dapal@debian.org>  Sun, 20 Dec 2009 12:38:59 +0100

codeine (1.0.1-3.dfsg-3) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]

  * Apply patch from Cyril Brulebois to fix FTBFS with GCC 4.3.
    (Closes: #461666)
  * Add dependency on libxine1-x. (Closes: #448088)
  * Move Homepage into control field.
  * Update to Standards-Version: 3.7.3, no changes required.

  [ Mark Purcell ]

  * cleanbuilddir common-configure-arch::
  * Add debian/watch
  * debian/rules clean: [ ! -f Makefile ]|| rule

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 14:07:22 +0100

codeine (1.0.1-3.dfsg-2) unstable; urgency=medium

  [ Achim Bohnet ]

  * debian/rules: redefine $HOME to a writable (tmp)dir: KDE apps called
    in configure script try to create $HOME/.kde.  This fails on some
    autobuild daemons. (Redefining KDEHOME instead of HOME did not work.)
    Closes: #403131: codeine_1.0.1-3.dfsg-1(alpha/unstable): FTBFS with -rsudo

  * Set urgency to medium, 'cause RC bug fixed

  * Bump StandardsVersion to 3.6.2 -> 3.7.2. No changes necessary

  * Add Translation to codeine's desktop file (from kdesvn)

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 16 Dec 2006 19:15:13 +0100

codeine (1.0.1-3.dfsg-1) unstable; urgency=low

  [ Mark Purcell ]
  * Initial release. (Closes: #372113: ITP: codeine -- Simple,
    uncluttered KDE video player - Debian Bug report logs)
  * .dfsg version removes redundant/ FDL doc/ dir

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 25 Jun 2006 21:46:06 +0100

codeine (1.0.1-3-1) unstable; urgency=low

  * New upstream release (Closes: Bug#372113)

  [ Achim Bohnet ]
  * fix typos in codeine manpage
  * renamed patches/kubuntu_01_add_translations_to_desktop_file.diff
    to patches/01_add_translations_to_desktop_file.diff. Patch is not
    kubuntu specific

  [ Tom Albers ]
  * New upstream release
  * Removed rule for codeine_part.desktop, upstream fixed that
  * Added --play-dvd to man page
  * Added me as debian maintainer for this package

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu,  8 Jun 2006 11:31:26 +0100

codeine (1.0-0ubuntu1) dapper; urgency=low

  [ Achim Bohnet ]

  * Initial Release.

  * patches/kubuntu_01_add_translations_to_desktop_file.diff:
    Replace GenericName "Vidio Player" with "Media Player" as used for
    kaffeine and kmplayer.  Add dozends "Media Player" translations
    from kaffeine.desktop to codeine.desktop. Replaces
    patches/kubuntu_01_fix_desktop_file.patch

  * rules: codeine_part.desktop is of Type=Service so install it in
    /usr/share/services/ not /usr/share/applications/kde/

  * Add codeine.1 manpage

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jan 2006 23:26:41 +0100

## codeine-trinity 14.0.10

=== debian/changelog ===
codeine-trinity (4:14.0.10-0ubuntu19.10.0+0) eoan; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Apr 2021 16:10:05 +0200

## codeine-trinity 14.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,13 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8 )
+cmake_minimum_required( VERSION 2.8.12 )
 
 
 #### general package setup
 
 project( codeine )
-set( VERSION R14.0.9 )
+set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -70,8 +70,12 @@
 
 add_subdirectory( src )
 add_subdirectory( misc )
-tde_conditional_add_subdirectory( BUILD_DOC doc )
-tde_conditional_add_subdirectory( BUILD_TRANSLATIONS translations )
+
+
+##### other data ################################
+
+tde_conditional_add_project_docs( BUILD_DOC )
+tde_conditional_add_project_translations( BUILD_TRANSLATIONS )
 
 
 ##### write configure files

=== debian/changelog ===
codeine-trinity (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 20 Oct 2021 00:14:28 +0200

## codeine-trinity 14.0.12

=== debian/changelog ===
codeine-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Dec 2021 11:52:40 +0100

## codeine-trinity 14.0.13

=== debian/changelog ===
codeine-trinity (4:14.0.13-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 25 Jun 2022 12:55:49 +0200

## codeine-trinity 14.1.0

=== debian/changelog ===
codeine-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 22 Mar 2023 00:14:57 +0100

## codeine-trinity 14.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,13 +7,12 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 2.8.12 )
+cmake_minimum_required( VERSION 3.1 )
 
 
 #### general package setup
 
 project( codeine )
-set( VERSION R14.0.11 )
 
 
 #### include essential cmake modules
@@ -29,8 +28,12 @@
 
 #### include our cmake modules
 
-set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
 include( TDEMacros )
+
+
+##### set version number ########################
+
+tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
codeine-trinity (4:14.1.1-0ubuntu16.04.0+0) xenial; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 09 Oct 2023 22:17:38 +0200

## codeine-trinity 14.1.2

=== debian/changelog ===
codeine-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 02 Apr 2024 09:55:03 +0200

## codeine-trinity 14.1.3

=== debian/changelog ===
codeine-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 06 Oct 2024 22:21:30 +0200

## codeine-trinity 14.1.4

=== debian/changelog ===
codeine-trinity (4:14.1.4-0ubuntu25.04.0+0) plucky; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 21 Apr 2025 13:14:03 +0200

## codeine-trinity 14.1.5~pre5

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,11 @@
 ############################################
 
 
-cmake_minimum_required( VERSION 3.1 )
+##### set project version ########################
+
+include( TDEVersion )
+cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
+tde_set_project_version( )
 
 
 #### general package setup
@@ -29,11 +33,6 @@
 #### include our cmake modules
 
 include( TDEMacros )
-
-
-##### set version number ########################
-
-tde_set_project_version( )
 
 
 ##### setup install paths

=== debian/changelog ===
codeine-trinity (4:14.1.5~pre5-0ubuntu25.10.0+3) questing; urgency=low

  * Automated git build for 04fa0bc01705ec222cc6d578f93734dbf22ad654
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## codeine-trinity 14.1.5

=== debian/changelog ===
codeine-trinity (4:14.1.5-0ubuntu24.04.0+0) noble; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

=== debian/control ===
Source: codeine-trinity
Section: tde
Priority: optional
Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, tde-cmake, ninja-build, tdelibs-trinity-dev, libxine2-dev | libxine-dev, libxtst-dev
Standards-Version: 3.7.3
Homepage: http://codeine.sourceforge.net/

Package: codeine-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple TDE video player
 A video player with a different philosophy: simple, uncluttered interface
 .
 Features:
  - Plays DVDs, VCDs, all video formats supported by Xine
  - Bundled with a simple web-page KPart
  - Starts quickly

## codeine-trinity 14.1.6~pre0

=== debian/changelog ===
codeine-trinity (4:14.1.6~pre0-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 04fa0bc01705ec222cc6d578f93734dbf22ad654
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Sep 2025 08:52:09 +0200

## codeine-trinity 14.1.6~pre1

=== debian/changelog ===
codeine-trinity (4:14.1.6~pre1-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for d61c417525b187414b0dbd7fa798ee8a7bd0772e
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 22:32:17 +0100

## codeine-trinity 14.1.6~pre2

=== debian/changelog ===
codeine-trinity (4:14.1.6~pre2-0ubuntu26.04.0+0~a) resolute; urgency=low

  * Automated git build for 9db461b39aa90a66899c9c47edf05047bdf3ca84
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 05:48:52 +0100

## codeine-trinity 14.2.0~pre61

=== debian/changelog ===
codeine-trinity (4:14.2.0~pre61-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 47631cadacf056dd685dabb17a29949f07ba4c06
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Sep 2025 20:29:16 +0200

## codeine-trinity 14.2.0~pre62

=== debian/changelog ===
codeine-trinity (4:14.2.0~pre62-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for c8e69adb16b78ce8f68b506cde4cfaf5493fb430
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 09 Dec 2025 01:51:07 +0100

## codeine-trinity 14.2.0~pre63

=== debian/changelog ===
codeine-trinity (4:14.2.0~pre63-0ubuntu26.04.0+7~a) resolute; urgency=low

  * Automated git build for 737b39d15f47baa872bae39ba5f4f09cef91fd63
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 14 Dec 2025 04:59:19 +0100

## codeine-trinity 14.2.0~pre65

=== debian/changelog ===
codeine-trinity (4:14.2.0~pre65-0ubuntu25.04.0+7) plucky; urgency=low

  * Automated git build for 9f6b6417ba4563ce650e2b2855b123a9af19e412
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#codeine

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 14 Feb 2026 11:51:53 +0100
